Subject: Re: bug#16902: 24.3.50; why vc-revert keeps its diff-buffer around?

From: Glenn Morris <[email-masked]>
Date: Fri, 28 Feb 2014 02:17:23 -0500

Leo Liu wrote:

> I often get a dozen vc-diff<N> buffers and was curious what caused this.
> So vc-revert is the culprit. It seems better to also kill the
> diff-buffer. Objections?

Well I assume the people who added the feature whereby a new diff buffer
is created each time would object, because they want to keep the diff
buffer around. Eg in case they change their minds after reverting.
See eg http://debbugs.gnu.org/8927 .

Maybe (setq vc-revert-show-diff nil) will work for you?